Storyden
Links

Link List

List links with paginated search. Text searches match titles, descriptions, and URLs. URL and domain searches match HTTP and HTTPS forms with or without www, while distinguishing different hostnames. Search does not create or refresh links. Requires View Links permission.

GET
/links

List links with paginated search. Text searches match titles, descriptions, and URLs. URL and domain searches match HTTP and HTTPS forms with or without www, while distinguishing different hostnames. Search does not create or refresh links. Requires View Links permission.

Authorization

cookiestoryden-session<token>

Query Parameters

q?string

Search query string.

Length0 <= length
page?string

Pagination query parameters.

Response Body

Link list.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
links*array<>
Example Request
curl -X GET 'https://example.com/api/links'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "links": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "url": "string",      "slug": "string",      "domain": "string",      "title": "string",      "description": "string",      "favicon_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "liveness_status": "unknown",      "liveness_checked_at": "2019-08-24T14:15:22Z",      "scrape_status": "pending",      "scrape_attempted_at": "2019-08-24T14:15:22Z",      "scraped_at": "2019-08-24T14:15:22Z"    }  ]}